## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSrc
                        ╰──GstPushSrc
                            ╰──GstAudioCdSrc
                                ╰──cdparanoiasrc

## Implemented interfaces

    GstURIHandler

## Factory details

Authors: – Erik Walthinsen <omega>, Wim Taymans <wim></wim></omega>

Classification: – `Source/File`

Rank – secondary

Plugin – cdparanoia

Package – GStreamer Base Plug-ins

## Pad Templates

### `src`

    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: 44100
           channels: 2

Presence – always

Direction – src

Object type – GstPad

## Signals

### transport-error

    transport_error_callback (GstElement * cdparanoia,
                              gint sector,
                              gpointer udata)

    def transport_error_callback (cdparanoia, sector, udata):
        #python callback for the 'transport-error' signal

    function transport_error_callback(cdparanoia: GstElement * cdparanoia, sector: gint sector, udata: gpointer udata): {
        // javascript callback for the 'transport-error' signal
    }

This signal is emitted whenever an error occurs while reading. CdParanoia will attempt to recover the data.

Parameters:

`cdparanoia` –

The CdParanoia instance

`sector` –

The sector number at which the error was encountered.

`udata` –
No description available

Flags: Run Last

### uncorrected-error

    uncorrected_error_callback (GstElement * cdparanoia,
                                gint sector,
                                gpointer udata)

    def uncorrected_error_callback (cdparanoia, sector, udata):
        #python callback for the 'uncorrected-error' signal

    function uncorrected_error_callback(cdparanoia: GstElement * cdparanoia, sector: gint sector, udata: gpointer udata): {
        // javascript callback for the 'uncorrected-error' signal
    }

This signal is emitted whenever an uncorrectable error occurs while reading. The data could not be read.

Parameters:

`cdparanoia` –

The CdParanoia instance

`sector` –

The sector number at which the error was encountered.

`udata` –
No description available

Flags: Run Last

## Properties

### cache-size

    “cache-size” gint

Set CD cache size to n sectors (-1 = auto)

Flags : Read / Write

Default value : -1

### generic-device

    “generic-device” gchararray

Use specified generic scsi device

Flags : Read / Write

Default value : NULL

### paranoia-mode

    “paranoia-mode” GstCdParanoiaMode *

Type of checking to perform

Flags : Read / Write

Default value : fragment

### read-speed

    “read-speed” gint

Read from device at specified speed (-1 and 0 = full speed)

Flags : Read / Write

Default value : -1

### search-overlap

    “search-overlap” gint

Force minimum overlap search during verification to n sectors

Flags : Read / Write

Default value : -1

## Named constants

### GstCdParanoiaMode

#### Members

`disable` (0x00000000) – PARANOIA_MODE_DISABLE
`fragment` (0x00000002) – PARANOIA_MODE_FRAGMENT
`overlap` (0x00000004) – PARANOIA_MODE_OVERLAP
`scratch` (0x00000008) – PARANOIA_MODE_SCRATCH
`repair` (0x00000010) – PARANOIA_MODE_REPAIR
`full` (0x000000ff) – PARANOIA_MODE_FULL

The results of the search are